% -*- latex -*- 
% TeX-Forms form skeleton:
% Przekaz dla wpat na rachunki bankowe
%
% This file is copyright (c) 2000 by Marcin Woliski <wolinski@mimuw.edu.pl>
%
\usepackage[T1]{polski}
%\usepackage[latin2]{inputenc}
\usepackage{slownie}
\pagestyle{empty}
\parindent=\paperwidth
\paperwidth=\paperheight
\paperheight=\parindent
\parindent=0pt
\textwidth=\paperwidth
\advance\textwidth-2cm
\oddsidemargin-1in
\advance\oddsidemargin1cm
\textheight=\paperheight
\advance\textheight-1cm
\topmargin-1in
\advance\topmargin5mm
\headheight0pt
\headsep0pt

\begin{document}

\WithPrompt{Przekaz dla wpat na rachunki bankowe}
\WithPrompt{Nazwa wpacajcego}\GetField\wplacajacy
\WithPrompt{Adres wpacajcego}\GetField\adres
\WithPrompt{Kwota}
\def\zl{0} \def\gr{0}
\WithPrompt{z}\GetFieldX\zl
\WithPrompt{gr}\GetFieldX\gr
\WithPrompt{Nazwa rachunku}\GetField\rachunek
\WithPrompt{Bank}\GetField\bank
\WithPrompt{Numer konta}\GetField\konto

\fontfamily{cmss}\selectfont\footnotesize

\newcommand*\bloczek[1]{%
  \vbox to94mm{\hsize=65mm
    \centerline{\bfseries#1}
    \vskip6pt
    \centerline{\normalsize Z \zl\ gr \gr}
    \vskip4pt
    \ifGenForm\else{\centering\scriptsize\slownie\zl{zot}{y}{e}{ych}\par}\fi
    \bigskip
    \hbox{\vrule width.2pt
      \vbox to13mm{\hrule height.2pt
        \hbox{\fontsize{8}{10pt}\selectfont
          \strut\enspace wpacajcy}
        \centering \noindent\wplacajacy\\
        \adres\vfil
        }}
    \vskip3pt
    \hrule height1.2pt
    \vskip3pt
    \hbox{\vrule width.2pt
      \vbox to16mm{\hrule height.2pt
        \hbox{\fontsize{8}{10pt}\selectfont
          \strut\enspace nazwa rachunku}
        \centering \rachunek\vfil
        }}
    \vskip3pt
    \hbox{\vrule width.2pt
      \vbox to8mm{\hrule height.2pt
        \hbox{\fontsize{8}{10pt}\selectfont
          \strut\enspace nazwa banku}
        \centering \bank\vfil
        }}
    \vskip3pt
    \hbox{\vrule width.2pt
      \vbox to8mm{\hrule height.2pt
        \hbox{\fontsize{8}{10pt}\selectfont
          \strut\enspace nr r-ku}
        \centering\normalsize \konto\vfil
        }}
    \vskip3pt
    \hrule height1.2pt
    \vskip6pt
    \hbox to\hsize{\scriptsize
      \parbox[b]{14mm}{\centering
        \unitlength1mm
        \begin{picture}(10,10)
          \put(5,5){\circle{10}}
        \end{picture}
                                %\framebox[6mm]{\strut}
        \\[2pt] Datownik}%
      \hfil
      \parbox[b]{25mm}{\centering
        \dotfill\\ Podpis przyjm.}%
      \hfil
      \fbox{\parbox[b]{15mm}{\centering Opata\\[8mm]z\dotfill gr\dotfill}}%
      }
    \vskip6pt
    \hrule
    \vfil
    }%
  }


\hbox{%
\bloczek{Odcinek dla poczty}%
\kern 8pt
\bloczek{Odcinek dla banku}%
\kern 8pt
\bloczek{Odcinek dla posiadacza rachunku}%
\kern 8pt
\bloczek{Potwierdzenie dla wpacajcego}%
}
\end{document}
